Agents API

Update variant

patch
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/variants/{variantId}

Body

application/json

UpdateVariantBody

* Additional properties are NOT allowed.
namestring

>= 1 characters

attributeValuesobject
* Additional properties are NOT allowed.
Show Child Parameters
isDefaultboolean

Response

200 application/json

Updated variant

VariantResponse

* Additional properties are NOT allowed.
idstringrequired
namestringrequired
isDefaultbooleanrequired
attributeValuesobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
patch/v1/agents/{agentId}/branches/{branchId}/variants/{variantId}

Body

{}
 
200 application/json

Get agent behavior rules

get
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/behavior

Response

application/json

Current behavior rules for the agent branch

AgentRulesResponse

* Additional properties are NOT allowed.
behaviorstringrequired
get/v1/agents/{agentId}/branches/{branchId}/behavior
 
application/json

Update agent behavior rules

patch
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/behavior

Body

application/json

UpdateAgentRulesBody

* Additional properties are NOT allowed.
behaviorstringrequired

>= 1 characters

Response

200 application/json

Updated behavior rules

AgentRulesResponse

* Additional properties are NOT allowed.
behaviorstringrequired
patch/v1/agents/{agentId}/branches/{branchId}/behavior

Body

{ "behavior": "behavior" }
 
200 application/json

List knowledge base topics

get
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics

Response

200

List of knowledge base topics

get/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics
 
200

Create knowledge base topic

post
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics

Body

application/json

CreateKnowledgeBaseTopicBody

* Additional properties are NOT allowed.
namestringrequired

>= 1 characters

contentstringrequired

>= 1 characters

actionsstring
exampleQueriesobject
* Additional properties are NOT allowed.
Show Child Parameters
isActiveboolean

Response

201

Created topic

post/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics

Body

{ "name": "name", "content": "content" }
 
201